Skip to navigation

Read Subscription

Defined, not yet published

Info for a specific subscription

Authentication

x-api-keystring
API Key authentication via header

Path parameters

subscriptionIdstringRequired
The id of the subscription

Response

Expected response to a valid request
idstringOptionalformat: "uuid"
customerIdstringOptionalformat: "uuid"
The ID of the customer who holds the subscription
householdIdstringOptionalformat: "uuid"
The ID of the household of the customer
propertyIdstringOptionalformat: "uuid"
The ID of the property of the household
organizationIdstringOptionalformat: "uuid"
The ID of the organization that owns the property
leaseIdstring or nullOptionalformat: "uuid"
The ID of the lease the subscription is attached to. It moves on lease renewal.
providerstringOptional
The slug of the provider, for example PINATA
serviceTypestringOptional

The type of service the provider offers, for example RENT_REPORTING

planCodestringOptional
The code of the plan the resident is on
previousPlanCodestring or nullOptional
The code of the plan before the last plan change
statusenumOptional
The lifecycle status of the subscription
Allowed values:
changeReasonenumOptional
The reason for the last change to the subscription
priceCentsintegerOptional
The plan price in cents, copied from the provider at enrollment
partnerReferencestring or nullOptional
The provider's ID for the resident
versionintegerOptional
A number that increases on every change to the subscription
startedAtdatetime or nullOptional
endedAtdatetime or nullOptional
createdAtdatetimeOptional
updatedAtdatetimeOptional
deletedAtdatetime or nullOptional

Set when the subscription row is soft-deleted. Always null on exported rows.

householdobjectOptional